This is the mail archive of the glibc-cvs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

GNU C Library master sources branch master updated. glibc-2.25-213-g4fee33f


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  4fee33f8c11447d345b2b1118a98958b54d5fda3 (commit)
      from  b6a66222096c2c4a93818e86cda1aff1e37ee451 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=4fee33f8c11447d345b2b1118a98958b54d5fda3

commit 4fee33f8c11447d345b2b1118a98958b54d5fda3
Author: Adhemerval Zanella <adhemerval.zanella@linaro.org>
Date:   Tue Apr 11 15:08:02 2017 -0300

    posix: Add cleanup on the trap list for globtest.sh
    
    This patch prevents lingering files for SIGSEGV failures by adding
    a cleanup handler on trap handler.  Checked on x86_64-linux-gnu.
    
    	* posix/globtest.sh: Add cleanup routine on trap 0.

diff --git a/ChangeLog b/ChangeLog
index a997706..cde07e1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2017-04-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
+
+	* posix/globtest.sh: Add cleanup routine on trap 0.
+
 2017-04-11  Wainer dos Santos Moschetta  <wainersm@linux.vnet.ibm.com>
 
 	* sysdeps/powerpc/powerpc64/multiarch/memcmp-power4.S: Define the
diff --git a/posix/globtest.sh b/posix/globtest.sh
index f9cc80b..73f7ae3 100755
--- a/posix/globtest.sh
+++ b/posix/globtest.sh
@@ -47,7 +47,12 @@ testout=${common_objpfx}posix/globtest-out
 rm -rf $testdir $testout
 mkdir $testdir
 
-trap 'chmod 777 $testdir/noread; rm -fr $testdir $testout' 1 2 3 15
+cleanup() {
+    chmod 777 $testdir/noread
+    rm -fr $testdir $testout
+}
+
+trap cleanup 0 HUP INT QUIT TERM
 
 echo 1 > $testdir/file1
 echo 2 > $testdir/file2
@@ -811,8 +816,6 @@ if test $failed -ne 0; then
 fi
 
 if test $result -eq 0; then
-    chmod 777 $testdir/noread
-    rm -fr $testdir $testout
     echo "All OK." > $logfile
 fi
 

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog         |    4 ++++
 posix/globtest.sh |    9 ++++++---
 2 files changed, 10 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
GNU C Library master sources


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]